.showcase__wrapper {
  position: relative;
  overflow: hidden; /* Asegura que las imágenes superpuestas no se muestren fuera del contenedor */
}
.showcase-block {
  display: flex;
  flex-direction: row;
} 

.showcase__titles {
  /* flex: 1; */
  display: flex;
  flex-direction: column;
  /* position: absolute;*/
  position: relative;
  z-index:10;
  align-self: center;
  width: 45%;
 
}
.showcase__title {
 margin-bottom: 20px;
}
.showcase__title-inner a {
  text-decoration: none;
}
.showcase__title-inner .title {
  cursor: pointer;
  position: relative;
  font-size: 104px;
  color: transparent;
  -webkit-text-stroke: 1px #ffb100; /* Borde delgado alrededor del texto */
  text-stroke: 1px #ffb100;
  transition: color 0.3s ease;
  margin-bottom: 20px!important;
}
.showcase__title-inner .title:hover {
 color: #ffb100;
}
.showcase__title-inner p.subtitle {
  color: #333;
  display: none;
  margin-bottom: 30px;
  font-size: 17px;
  max-width: 450px;
}
.showcase__title-inner a.btn-enlace {
  display: none;
}
.showcase__title.active .title {
  color: #ffb100;
 }
.showcase__images {
  position: relative;
  overflow: hidden;
  height: 700px;
  flex-basis: 55%;
  /*margin-left: 40%;*/
}
.showcase__title.active .subtitle{
    display: block;
}
.showcase__title.active a.btn-enlace {
    display: inline-block;
}
.showcase__image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; 
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  /* opacity: 0;
  transform: translateY(-50%);
  transition: transform 0.7s cubic-bezier(0.81, 0.065, 0.21, 1), opacity 0.7s; 
  transform: translateX(0%);*/
    transition: transform 0.7s cubic-bezier(0.81, 0.065, 0.21, 1);
    /* z-index: 1; */
    opacity: 1;
    z-index: 1;
    transform: translateX(100%);
}
.showcase__image.showcase__image-prev {
  transform: translateX(-100%);
}

.showcase__image.showcase__image-next {
  transform: translateX(100%);
}
.showcase__title:hover ~ .showcase__images .showcase__image {
    transform: translateX(-100%); /* Movimiento de las imágenes */
}.showcase__image.active {
  transform: translateX(0);
}
@media (max-width: 1023px) {
  .wp-block-hacce-wrapper .showcase__title-inner .title {
    font-size: 98px;
  }
}
@media (max-width: 767px) {
  .showcase__titles {
    width: 60%;
    vertical-align: top;
  }
  .wp-block-hacce-wrapper .showcase__title-inner .title {
    font-size: 60px;
  }
  .showcase__images {
    height: 500px;
  }
} 
@media (max-width: 500px) {
  .showcase-block {
    flex-direction: column;
  }
  .showcase__titles {
    width: 100%;
    position: relative;
  }
  .showcase__title {
    margin-bottom: 20px;
  }
  .wp-block-hacce-wrapper .showcase__title-inner .title {
    font-size: 50px;
  }
  .showcase__images {
    height: 0;
    display: none;
  }
  .showcase__image {
    position: relative;
  }
  .showcase__title-inner p.subtitle { 
    display: block;
  }
  .showcase__title-inner a.btn-enlace {
    display: inline-block;
  }
} 
/* Texto sobre imagen */
.showcase-block.show-text-on-image .showcase__image-text {
  position: relative;
  background-color: #3B3A3C;
  max-width: 80%;
  padding: 5%;
  margin: 0 auto;
  border-radius: 10px;
  text-align: center;
  margin-top: -10%;
  z-index: 1;
} 
.showcase-block.show-text-on-image .showcase__image-text p{
  color: #fff;
  margin-bottom: 0;
} 
.showcase-block.show-text-on-image .showcase__image-text p.title{
  margin-bottom: 20px;
  font-size: 20px;
  font-weight: 500;
  text-transform: uppercase;
} 